Index: trunk/source/visualization/modeling/include/G4AttFilterUtils.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4AttFilterUtils.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4AttFilterUtils.hh	(revision 931)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AttFilterUtils.hh,v 1.2 2006/12/13 15:49:58 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // Visualisation attribute filter utility functions.
Index: trunk/source/visualization/modeling/include/G4AttValueFilterT.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4AttValueFilterT.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4AttValueFilterT.hh	(revision 931)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AttValueFilterT.hh,v 1.3 2006/12/13 15:50:00 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // Templated class for G4AttValue filters.
Index: trunk/source/visualization/modeling/include/G4AttributeFilterT.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4AttributeFilterT.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4AttributeFilterT.hh	(revision 931)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AttributeFilterT.hh,v 1.6 2006/12/13 15:50:02 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // Generic attribute filter.
Index: trunk/source/visualization/modeling/include/G4AxesModel.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4AxesModel.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4AxesModel.hh	(revision 931)
@@ -26,5 +26,5 @@
 //
 // $Id: G4AxesModel.hh,v 1.6 2006/11/01 10:28:42 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // 
Index: trunk/source/visualization/modeling/include/G4BoundingSphereScene.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4BoundingSphereScene.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4BoundingSphereScene.hh	(revision 931)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BoundingSphereScene.hh,v 1.18 2008/01/04 21:59:15 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // 
Index: trunk/source/visualization/modeling/include/G4CallbackModel.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4CallbackModel.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4CallbackModel.hh	(revision 931)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CallbackModel.hh,v 1.5 2006/06/29 21:30:10 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // 
Index: trunk/source/visualization/modeling/include/G4FlavoredParallelWorldModel.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4FlavoredParallelWorldModel.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4FlavoredParallelWorldModel.hh	(revision 931)
@@ -26,5 +26,5 @@
 //
 // $Id: G4FlavoredParallelWorldModel.hh,v 1.8 2006/06/29 21:30:12 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // P. Mora de Freitas et M.Verderi - 19 June 1998.
Index: trunk/source/visualization/modeling/include/G4HitFilterFactories.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4HitFilterFactories.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4HitFilterFactories.hh	(revision 931)
@@ -25,5 +25,5 @@
 //
 /// $Id: G4HitFilterFactories.hh,v 1.1 2006/09/12 18:53:03 tinslay Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 //
Index: trunk/source/visualization/modeling/include/G4HitsModel.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4HitsModel.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4HitsModel.hh	(revision 931)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HitsModel.hh,v 1.10 2006/11/02 11:57:31 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // 
Index: trunk/source/visualization/modeling/include/G4LogicalVolumeModel.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4LogicalVolumeModel.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4LogicalVolumeModel.hh	(revision 931)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LogicalVolumeModel.hh,v 1.9 2006/11/01 10:28:42 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // 
Index: trunk/source/visualization/modeling/include/G4ModelApplyCommandsT.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4ModelApplyCommandsT.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4ModelApplyCommandsT.hh	(revision 931)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4ModelApplyCommandsT.hh,v 1.5 2006/09/11 21:22:02 tinslay Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4ModelApplyCommandsT.hh,v 1.6 2009/02/25 14:17:11 allison Exp $
+// GEANT4 tag $Name:  $
 //
 // Abstract model messenges. Derived classes should implement
@@ -44,5 +44,5 @@
 #include "G4UIcommand.hh"
 #include "G4VModelCommand.hh"
-#include "globals.hh"
+#include "G4VVisManager.hh"
 #include <sstream>
 
@@ -152,4 +152,6 @@
 
   Apply(parameter, myColour);
+  G4VVisManager* visManager = G4VVisManager::GetConcreteInstance();
+  if (visManager) visManager->NotifyHandlers();
 }
 
@@ -254,4 +256,6 @@
 
   Apply(myColour);
+  G4VVisManager* visManager = G4VVisManager::GetConcreteInstance();
+  if (visManager) visManager->NotifyHandlers();
 }
 
@@ -301,4 +305,6 @@
 {
   Apply(fpCmd->GetNewBoolValue(newValue));
+  G4VVisManager* visManager = G4VVisManager::GetConcreteInstance();
+  if (visManager) visManager->NotifyHandlers();
 }
 
@@ -347,4 +353,6 @@
 {
   Apply();
+  G4VVisManager* visManager = G4VVisManager::GetConcreteInstance();
+  if (visManager) visManager->NotifyHandlers();
 }
 
@@ -395,4 +403,6 @@
 {
   Apply(fpCmd->GetNewDoubleValue(newValue));
+  G4VVisManager* visManager = G4VVisManager::GetConcreteInstance();
+  if (visManager) visManager->NotifyHandlers();
 }
 
@@ -443,4 +453,6 @@
 {
   Apply(fpCmd->GetNewDoubleValue(newValue));
+  G4VVisManager* visManager = G4VVisManager::GetConcreteInstance();
+  if (visManager) visManager->NotifyHandlers();
 }
 
@@ -490,4 +502,6 @@
 {
   Apply(fpCmd->GetNewIntValue(newValue));
+  G4VVisManager* visManager = G4VVisManager::GetConcreteInstance();
+  if (visManager) visManager->NotifyHandlers();
 }
 
@@ -537,4 +551,6 @@
 {
   Apply(newValue);
+  G4VVisManager* visManager = G4VVisManager::GetConcreteInstance();
+  if (visManager) visManager->NotifyHandlers();
 }
 
Index: trunk/source/visualization/modeling/include/G4ModelColourMap.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4ModelColourMap.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4ModelColourMap.hh	(revision 931)
@@ -25,5 +25,5 @@
 //
 // $Id: G4ModelColourMap.hh,v 1.2 2006/06/29 21:30:22 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // Generic variable->G4Colour map, where "variable" is the template
Index: trunk/source/visualization/modeling/include/G4ModelCommandUtils.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4ModelCommandUtils.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4ModelCommandUtils.hh	(revision 931)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4ModelCommandUtils.hh,v 1.2 2006/09/13 12:54:31 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4ModelCommandUtils.hh,v 1.3 2009/02/24 12:00:56 allison Exp $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // Jane Tinslay September 2006
@@ -53,4 +53,5 @@
     messengers.push_back(new G4ModelCmdSetStepPtsColour<G4VisTrajContext>(context, placement));
     messengers.push_back(new G4ModelCmdSetStepPtsSize<G4VisTrajContext>(context, placement));
+    messengers.push_back(new G4ModelCmdSetStepPtsSizeType<G4VisTrajContext>(context, placement));
     messengers.push_back(new G4ModelCmdSetStepPtsType<G4VisTrajContext>(context, placement));
     messengers.push_back(new G4ModelCmdSetStepPtsFillStyle<G4VisTrajContext>(context, placement));
@@ -60,4 +61,5 @@
     messengers.push_back(new G4ModelCmdSetAuxPtsColour<G4VisTrajContext>(context, placement));
     messengers.push_back(new G4ModelCmdSetAuxPtsSize<G4VisTrajContext>(context, placement));
+    messengers.push_back(new G4ModelCmdSetAuxPtsSizeType<G4VisTrajContext>(context, placement));
     messengers.push_back(new G4ModelCmdSetAuxPtsType<G4VisTrajContext>(context, placement));
     messengers.push_back(new G4ModelCmdSetAuxPtsFillStyle<G4VisTrajContext>(context, placement));
Index: trunk/source/visualization/modeling/include/G4ModelCommandsT.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4ModelCommandsT.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4ModelCommandsT.hh	(revision 931)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4ModelCommandsT.hh,v 1.12 2006/11/01 10:34:03 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4ModelCommandsT.hh,v 1.13 2009/02/24 12:00:56 allison Exp $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // Generic model messenges. 
@@ -398,20 +398,32 @@
 // Set auxiliary points size command
 template <typename M>
-class G4ModelCmdSetAuxPtsSize : public G4ModelCmdApplyDouble<M> {
+class G4ModelCmdSetAuxPtsSize : public G4ModelCmdApplyString<M> {
   
 public:
 
   G4ModelCmdSetAuxPtsSize(M* model, const G4String& placement,
-			  const G4String& cmdName="setAuxPtsSize")
-    :G4ModelCmdApplyDouble<M>(model, placement, cmdName)
-  {
-    G4ModelCmdApplyDouble<M>::Command()->SetGuidance("Set auxiliary points size command");
-  }
-  
-protected:
-
-   void Apply(const G4double& myDouble) {
-     G4VModelCommand<M>::Model()->SetAuxPtsSize(myDouble);
-  }
+			   const G4String& cmdName="setAuxPtsSize")
+    :G4ModelCmdApplyString<M>(model, placement, cmdName)
+  {
+    G4ModelCmdApplyString<M>::Command()->SetGuidance("Set auxiliary points size command");
+  }
+  
+protected:
+
+   void Apply(const G4String& sizeString) {
+     std::istringstream iss(sizeString);
+     G4double size;
+     G4String unit;
+     iss >> size >> unit;
+     if (G4VModelCommand<M>::Model()->GetAuxPtsSizeType() == G4VMarker::world)
+       {
+	 G4double myDouble = G4UIcmdWithADoubleAndUnit::GetNewDoubleValue(sizeString);
+	 G4VModelCommand<M>::Model()->SetAuxPtsSize(myDouble);
+       }
+     else  // none or screen
+       {
+	 G4VModelCommand<M>::Model()->SetAuxPtsSize(size);
+       }
+   }
   
 };
@@ -420,5 +432,5 @@
 // Set step points size command
 template <typename M>
-class G4ModelCmdSetStepPtsSize : public G4ModelCmdApplyDouble<M> {
+class G4ModelCmdSetStepPtsSize : public G4ModelCmdApplyString<M> {
   
 public:
@@ -426,14 +438,26 @@
   G4ModelCmdSetStepPtsSize(M* model, const G4String& placement,
 			   const G4String& cmdName="setStepPtsSize")
-    :G4ModelCmdApplyDouble<M>(model, placement, cmdName)
-  {
-    G4ModelCmdApplyDouble<M>::Command()->SetGuidance("Set step points size command");
-  }
-  
-protected:
-
-   void Apply(const G4double& myDouble) {
-     G4VModelCommand<M>::Model()->SetStepPtsSize(myDouble);
-  }
+    :G4ModelCmdApplyString<M>(model, placement, cmdName)
+  {
+    G4ModelCmdApplyString<M>::Command()->SetGuidance("Set step points size command");
+  }
+  
+protected:
+
+   void Apply(const G4String& sizeString) {
+     std::istringstream iss(sizeString);
+     G4double size;
+     G4String unit;
+     iss >> size >> unit;
+     if (G4VModelCommand<M>::Model()->GetStepPtsSizeType() == G4VMarker::world)
+       {
+	 G4double myDouble = G4UIcmdWithADoubleAndUnit::GetNewDoubleValue(sizeString);
+	 G4VModelCommand<M>::Model()->SetStepPtsSize(myDouble);
+       }
+     else  // none or screen
+       {
+	 G4VModelCommand<M>::Model()->SetStepPtsSize(size);
+       }
+   }
   
 };
@@ -516,4 +540,78 @@
 
 ////////////////////////////////////////////////////////////////////////
+// Set step points size type command
+template <typename M>
+class G4ModelCmdSetStepPtsSizeType : public G4ModelCmdApplyString<M> {
+  
+public:
+
+  G4ModelCmdSetStepPtsSizeType(M* model, const G4String& placement,
+				const G4String& cmdName="setStepPtsSizeType")
+    :G4ModelCmdApplyString<M>(model, placement, cmdName)
+  {
+    G4UIcmdWithAString* cmd = G4ModelCmdApplyString<M>::Command();
+    cmd->SetGuidance("Set step size type.");
+    cmd->SetCandidates("none world screen");
+  }
+  
+protected:
+
+  void Apply(const G4String& type) {
+    G4VMarker::SizeType mySizeType;
+    
+    if (type == "none") {mySizeType = G4VMarker::none;}
+    else if (type == "world") {mySizeType = G4VMarker::world;}
+    else if (type == "screen") {mySizeType = G4VMarker::screen;}
+    else {
+      std::ostringstream o;
+      o << "Invalid argument. See command guidance for options.";
+      G4Exception
+	("G4ModelCmdSetStepPtsSizeType::Apply",
+	 "InvalidArgument", JustWarning, o.str().c_str());
+      return;
+    }
+    G4VModelCommand<M>::Model()->SetStepPtsSizeType(mySizeType);
+  }
+  
+};
+
+////////////////////////////////////////////////////////////////////////
+// Set auxiliary points size type command
+template <typename M>
+class G4ModelCmdSetAuxPtsSizeType : public G4ModelCmdApplyString<M> {
+  
+public:
+
+  G4ModelCmdSetAuxPtsSizeType(M* model, const G4String& placement,
+			       const G4String& cmdName="setAuxPtsSizeType")
+    :G4ModelCmdApplyString<M>(model, placement, cmdName)
+  {
+    G4UIcmdWithAString* cmd = G4ModelCmdApplyString<M>::Command();
+    cmd->SetGuidance("Set auxiliary size type.");
+    cmd->SetCandidates("none world screen");
+  }
+  
+protected:
+
+  void Apply(const G4String& type) {
+    G4VMarker::SizeType mySizeType;
+    
+    if (type == "none") {mySizeType = G4VMarker::none;}
+    else if (type == "world") {mySizeType = G4VMarker::world;}
+    else if (type == "screen") {mySizeType = G4VMarker::screen;}
+    else {
+      std::ostringstream o;
+      o << "Invalid argument. See command guidance for options.";
+      G4Exception
+	("G4ModelCmdSetAuxPtsSizeType::Apply",
+	 "InvalidArgument", JustWarning, o.str().c_str());
+      return;
+    }
+    G4VModelCommand<M>::Model()->SetAuxPtsSizeType(mySizeType);
+  }
+  
+};
+
+////////////////////////////////////////////////////////////////////////
 // Set step points fill style command
 template <typename M>
Index: trunk/source/visualization/modeling/include/G4ModelCompoundCommandsT.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4ModelCompoundCommandsT.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4ModelCompoundCommandsT.hh	(revision 931)
@@ -25,5 +25,5 @@
 //
 // $Id: G4ModelCompoundCommandsT.hh,v 1.1 2006/09/11 21:52:18 tinslay Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // Jane Tinslay September 2006
Index: trunk/source/visualization/modeling/include/G4ModelingParameters.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4ModelingParameters.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4ModelingParameters.hh	(revision 931)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ModelingParameters.hh,v 1.17 2006/11/14 14:42:08 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // 
Index: trunk/source/visualization/modeling/include/G4ModelingParameters.icc
===================================================================
--- trunk/source/visualization/modeling/include/G4ModelingParameters.icc	(revision 850)
+++ trunk/source/visualization/modeling/include/G4ModelingParameters.icc	(revision 931)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ModelingParameters.icc,v 1.11 2006/11/14 14:42:08 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // 
Index: trunk/source/visualization/modeling/include/G4NullModel.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4NullModel.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4NullModel.hh	(revision 931)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NullModel.hh,v 1.7 2006/06/29 21:30:30 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // 
Index: trunk/source/visualization/modeling/include/G4PhysicalVolumeMassScene.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4PhysicalVolumeMassScene.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4PhysicalVolumeMassScene.hh	(revision 931)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PhysicalVolumeMassScene.hh,v 1.9 2008/01/04 21:59:15 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // 
Index: trunk/source/visualization/modeling/include/G4PhysicalVolumeModel.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4PhysicalVolumeModel.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4PhysicalVolumeModel.hh	(revision 931)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PhysicalVolumeModel.hh,v 1.34 2007/04/03 13:46:49 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // 
Index: trunk/source/visualization/modeling/include/G4PhysicalVolumeSearchScene.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4PhysicalVolumeSearchScene.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4PhysicalVolumeSearchScene.hh	(revision 931)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PhysicalVolumeSearchScene.hh,v 1.18 2008/01/04 21:59:15 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // 
Index: trunk/source/visualization/modeling/include/G4PhysicalVolumeSearchScene.icc
===================================================================
--- trunk/source/visualization/modeling/include/G4PhysicalVolumeSearchScene.icc	(revision 850)
+++ trunk/source/visualization/modeling/include/G4PhysicalVolumeSearchScene.icc	(revision 931)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PhysicalVolumeSearchScene.icc,v 1.6 2006/06/29 21:30:38 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // 
Index: trunk/source/visualization/modeling/include/G4ScaleModel.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4ScaleModel.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4ScaleModel.hh	(revision 931)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ScaleModel.hh,v 1.4 2006/11/01 10:28:42 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // 
Index: trunk/source/visualization/modeling/include/G4TextModel.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4TextModel.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4TextModel.hh	(revision 931)
@@ -26,5 +26,5 @@
 //
 // $Id: G4TextModel.hh,v 1.7 2006/11/01 10:28:42 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // 
Index: trunk/source/visualization/modeling/include/G4TrajectoriesModel.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4TrajectoriesModel.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4TrajectoriesModel.hh	(revision 931)
@@ -26,5 +26,5 @@
 //
 // $Id: G4TrajectoriesModel.hh,v 1.10 2006/10/26 11:10:23 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // 
Index: trunk/source/visualization/modeling/include/G4TrajectoryChargeFilter.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4TrajectoryChargeFilter.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4TrajectoryChargeFilter.hh	(revision 931)
@@ -25,5 +25,5 @@
 //
 // $Id: G4TrajectoryChargeFilter.hh,v 1.3 2006/08/25 19:44:14 tinslay Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // Filter trajectories according to charge. Only registered 
Index: trunk/source/visualization/modeling/include/G4TrajectoryDrawByAttribute.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4TrajectoryDrawByAttribute.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4TrajectoryDrawByAttribute.hh	(revision 931)
@@ -25,5 +25,5 @@
 //
 // $Id: G4TrajectoryDrawByAttribute.hh,v 1.1 2006/09/11 21:52:18 tinslay Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // Jane Tinslay September 2006
Index: trunk/source/visualization/modeling/include/G4TrajectoryDrawByCharge.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4TrajectoryDrawByCharge.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4TrajectoryDrawByCharge.hh	(revision 931)
@@ -25,5 +25,5 @@
 //
 // $Id: G4TrajectoryDrawByCharge.hh,v 1.7 2006/06/29 21:31:49 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // Jane Tinslay, John Allison, Joseph Perl November 2005
Index: trunk/source/visualization/modeling/include/G4TrajectoryDrawByOriginVolume.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4TrajectoryDrawByOriginVolume.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4TrajectoryDrawByOriginVolume.hh	(revision 931)
@@ -25,5 +25,5 @@
 //
 // $Id: G4TrajectoryDrawByOriginVolume.hh,v 1.4 2006/06/29 21:31:51 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // Class Description:
Index: trunk/source/visualization/modeling/include/G4TrajectoryDrawByParticleID.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4TrajectoryDrawByParticleID.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4TrajectoryDrawByParticleID.hh	(revision 931)
@@ -25,5 +25,5 @@
 //
 // $Id: G4TrajectoryDrawByParticleID.hh,v 1.7 2006/06/29 21:31:53 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // Jane Tinslay, John Allison, Joseph Perl November 2005
Index: trunk/source/visualization/modeling/include/G4TrajectoryDrawerUtils.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4TrajectoryDrawerUtils.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4TrajectoryDrawerUtils.hh	(revision 931)
@@ -25,5 +25,5 @@
 //
 // $Id: G4TrajectoryDrawerUtils.hh,v 1.7 2007/05/30 08:56:55 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 // 
 // Jane Tinslay, John Allison, Joseph Perl November 2005
Index: trunk/source/visualization/modeling/include/G4TrajectoryFilterFactories.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4TrajectoryFilterFactories.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4TrajectoryFilterFactories.hh	(revision 931)
@@ -25,5 +25,5 @@
 //
 /// $Id: G4TrajectoryFilterFactories.hh,v 1.4 2006/09/12 18:53:03 tinslay Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 //
Index: trunk/source/visualization/modeling/include/G4TrajectoryGenericDrawer.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4TrajectoryGenericDrawer.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4TrajectoryGenericDrawer.hh	(revision 931)
@@ -25,5 +25,5 @@
 //
 // $Id: G4TrajectoryGenericDrawer.hh,v 1.2 2006/06/29 21:31:59 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // Jane Tinslay, John Allison, Joseph Perl November 2005
Index: trunk/source/visualization/modeling/include/G4TrajectoryModelFactories.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4TrajectoryModelFactories.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4TrajectoryModelFactories.hh	(revision 931)
@@ -25,5 +25,5 @@
 //
 // $Id: G4TrajectoryModelFactories.hh,v 1.6 2006/09/12 18:53:03 tinslay Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // Jane Tinslay, John Allison, Joseph Perl October 2005
Index: trunk/source/visualization/modeling/include/G4TrajectoryOriginVolumeFilter.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4TrajectoryOriginVolumeFilter.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4TrajectoryOriginVolumeFilter.hh	(revision 931)
@@ -25,5 +25,5 @@
 //
 // $Id: G4TrajectoryOriginVolumeFilter.hh,v 1.3 2006/08/25 19:44:14 tinslay Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // Filter trajectories according to volume name. Only registered 
Index: trunk/source/visualization/modeling/include/G4TrajectoryParticleFilter.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4TrajectoryParticleFilter.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4TrajectoryParticleFilter.hh	(revision 931)
@@ -25,5 +25,5 @@
 //
 // $Id: G4TrajectoryParticleFilter.hh,v 1.3 2006/08/25 19:44:14 tinslay Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // Filter trajectories according to particle type. Only registered 
Index: trunk/source/visualization/modeling/include/G4VAttValueFilter.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4VAttValueFilter.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4VAttValueFilter.hh	(revision 931)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VAttValueFilter.hh,v 1.2 2006/12/13 15:50:04 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // Abstract base class for G4AttValue filters
Index: trunk/source/visualization/modeling/include/G4VModel.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4VModel.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4VModel.hh	(revision 931)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VModel.hh,v 1.19 2006/07/10 16:09:30 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // 
Index: trunk/source/visualization/modeling/include/G4VModel.icc
===================================================================
--- trunk/source/visualization/modeling/include/G4VModel.icc	(revision 850)
+++ trunk/source/visualization/modeling/include/G4VModel.icc	(revision 931)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VModel.icc,v 1.12 2006/07/10 16:09:30 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // 
Index: trunk/source/visualization/modeling/include/G4VModelCommand.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4VModelCommand.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4VModelCommand.hh	(revision 931)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VModelCommand.hh,v 1.4 2006/09/11 21:22:02 tinslay Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 // 
 // Jane Tinslay, John Allison, Joseph Perl November 2005
Index: trunk/source/visualization/modeling/include/G4VModelFactory.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4VModelFactory.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4VModelFactory.hh	(revision 931)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VModelFactory.hh,v 1.6 2006/06/29 21:32:30 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // Jane Tinslay, John Allison, Joseph Perl October 2005
Index: trunk/source/visualization/modeling/include/G4VTrajectoryModel.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4VTrajectoryModel.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4VTrajectoryModel.hh	(revision 931)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VTrajectoryModel.hh,v 1.7 2006/08/14 11:43:34 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // Jane Tinslay, John Allison, Joseph Perl October 2005
Index: trunk/source/visualization/modeling/include/G4VisTrajContext.hh
===================================================================
--- trunk/source/visualization/modeling/include/G4VisTrajContext.hh	(revision 850)
+++ trunk/source/visualization/modeling/include/G4VisTrajContext.hh	(revision 931)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4VisTrajContext.hh,v 1.3 2006/08/14 11:47:53 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4VisTrajContext.hh,v 1.4 2009/02/24 12:00:56 allison Exp $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // Jane Tinslay May 2006
@@ -72,4 +72,7 @@
   G4double GetAuxPtsSize() const;
 
+  void SetAuxPtsSizeType(const G4VMarker::SizeType& sizeType);
+  G4VMarker::SizeType GetAuxPtsSizeType() const;
+
   void SetAuxPtsFillStyle(const G4VMarker::FillStyle& style);
   G4VMarker::FillStyle GetAuxPtsFillStyle() const;
@@ -90,4 +93,7 @@
   void SetStepPtsSize(const G4double& size);
   G4double GetStepPtsSize() const;
+
+  void SetStepPtsSizeType(const G4VMarker::SizeType& sizeType);
+  G4VMarker::SizeType GetStepPtsSizeType() const;
 
   void SetStepPtsFillStyle(const G4VMarker::FillStyle& style);
@@ -117,4 +123,5 @@
   G4Polymarker::MarkerType fAuxPtsType;
   G4double fAuxPtsSize;
+  G4VMarker::SizeType fAuxPtsSizeType;
   G4VMarker::FillStyle fAuxPtsFillStyle;
   G4Colour fAuxPtsColour;
@@ -125,4 +132,5 @@
   G4Polymarker::MarkerType fStepPtsType;
   G4double fStepPtsSize;
+  G4VMarker::SizeType fStepPtsSizeType;
   G4VMarker::FillStyle fStepPtsFillStyle;
   G4Colour fStepPtsColour;
Index: trunk/source/visualization/modeling/include/G4VisTrajContext.icc
===================================================================
--- trunk/source/visualization/modeling/include/G4VisTrajContext.icc	(revision 850)
+++ trunk/source/visualization/modeling/include/G4VisTrajContext.icc	(revision 931)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4VisTrajContext.icc,v 1.3 2006/08/14 11:47:53 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4VisTrajContext.icc,v 1.4 2009/02/24 12:00:56 allison Exp $
+// GEANT4 tag $Name: modeling-V09-02-00 $
 //
 // Jane Tinslay May 2006
@@ -61,4 +61,7 @@
 inline G4double G4VisTrajContext::GetAuxPtsSize() const {return fAuxPtsSize;}
 
+inline void G4VisTrajContext::SetAuxPtsSizeType(const G4VMarker::SizeType& sizeType) {fAuxPtsSizeType = sizeType;}
+inline G4VMarker::SizeType G4VisTrajContext::GetAuxPtsSizeType() const {return fAuxPtsSizeType;}
+
 inline void G4VisTrajContext::SetAuxPtsFillStyle(const G4VMarker::FillStyle& style) {fAuxPtsFillStyle = style;}
 inline G4VMarker::FillStyle G4VisTrajContext::GetAuxPtsFillStyle() const {return fAuxPtsFillStyle;}
@@ -79,4 +82,7 @@
 inline void G4VisTrajContext::SetStepPtsSize(const G4double& size) {fStepPtsSize = size;}
 inline G4double G4VisTrajContext::GetStepPtsSize() const {return fStepPtsSize;}
+
+inline void G4VisTrajContext::SetStepPtsSizeType(const G4VMarker::SizeType& sizeType) {fStepPtsSizeType = sizeType;}
+inline G4VMarker::SizeType G4VisTrajContext::GetStepPtsSizeType() const {return fStepPtsSizeType;}
 
 inline void G4VisTrajContext::SetStepPtsFillStyle(const G4VMarker::FillStyle& style) {fStepPtsFillStyle = style;}
